<%!
    import textwrap
    def wrap(width=80, indent=0):
        return lambda text: ("\n" + " " * indent).join(textwrap.wrap(text, width - indent)).strip()
%>

${name['first']} ${name['last']}
${', '.join(address)}
% for type in phone:
${type}: ${phone[type]}
% endfor
email: ${email}

<%block filter="wrap(120, 0)">
${short}
</%block>

Education:

% for academic in academics:
${academic['degree']} from ${academic['institution']} in ${academic['location']}: ${academic['dates']}
% if 'awards' in academic:
 - Awards:
% for award in academic['awards']:
    - ${award}
% endfor
% endif
% if 'courses' in academic:
 - Selected Courses:
% for course in academic['courses']:
    - ${course}
% endfor
% endif
% endfor

Work Experience:

% for employment in employments:
${employment['title']} at ${employment['company']} in ${employment['location']}: ${employment['dates']}
 - ${employment['summary'] | wrap(120, 3)}
% endfor

Skills & Interests:

% for category in categories:
${category}: ${', '.join(categories[category])}
% endfor
